> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rassession.md).

# New-RASSession.md

## NAME

New-RASSession

## SYNOPSIS

Creates a connection with a Parallels RAS farm.

## SYNTAX

**New-RASSession** \[[Username](#username-string)] *(string)* \[[Password](#password-string)] *(SecureString)* \[\[-[Server](#server-string)] *(string)*] \[[Force](#force-string) *(SwitchParameter)*] \[[Retries](#retries-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*New-RASSession \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Connects to a Parallels RAS farm and creates a new RAS session.

A connection with Parallels RAS must be established before you can execute any other commands.

## PARAMETERS

## Server (string)

FQDN or IP address of the server where your have Parallels RAS installed.

```
        Required?                    false

        Position?                    2

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Username (string)

Parallels RAS administrator username.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

Parallels RAS administrator password.

```
        Required?                    true

        Position?                    1

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Retries (uint)

Number of reconnections to do if the first one fails. Default is 0.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Force (SwitchParameter)

Force connection with specified server (or with local host if server not specified).

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[Session](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/session.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASSession "username"

Creates a new RAS session with the Parallels RAS farm deployed on the local server.

When you execute the command, you will get a prompt to enter a password.\
\*\*---------- EXAMPLE 2 ----------

New-RASSession -Username "<administrator@domain.dom>" -Password $SecretPassword -Server "192.168.10.200"

Connects to the specified server using specified credentials and creates a new RAS session.

The -Username value must be specified using the UPN format.

The $SecretPassword variable must contain a valid password as SecureString.\
\*\*---------- EXAMPLE 3 ----------

New-RASSession -Username "<administrator@domain.dom>" -Password $SecretPassword -Server "192.168.10.200" -Retries 3

Connects to the specified server using specified credentials and creates a new RAS session.

The -Retries value specifies how many retries to do, in case connection is not established the first time.

The -Username value must be specified using the UPN format.

The $SecretPassword variable must contain a valid password as SecureString.

## RELATED LINKS

* [Remove-RASSession](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rassession.md)
* [Invoke-RASLicenseActivate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-raslicenseactivate.md)
* [Invoke-RASApply](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasapply.md)
* [Get-RASCurrentAdminPermissions](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascurrentadminpermissions.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rassession.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
